<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table59', function (Blueprint $table) {
            $table->id('DatasetTable59Id');
            $table->integer('dataset_id');
            $table->string('sumber')->nullable();
            $table->string('peruntukan_anggaran')->nullable();
            $table->bigInteger('jumlah_anggaran')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table59s');
    }
};
